Skip to main content
PATCH
Update a cluster

Authorizations

Authorization
string
header
required

API key authentication. API keys should be passed using the format Bearer API_KEY.

Path Parameters

projectId
string
required
id
string
required

Body

application/json

Update cluster params

dataCenterId
string
required
machineCount
integer<int32>
required
machineTypeId
string
required
commitmentTerm
enum<string>
default:COMMITMENT_TERM_NONE
Available options:
COMMITMENT_TERM_NONE,
COMMITMENT_TERM_1_MONTH,
COMMITMENT_TERM_3_MONTHS,
COMMITMENT_TERM_6_MONTHS,
COMMITMENT_TERM_12_MONTHS,
COMMITMENT_TERM_24_MONTHS,
COMMITMENT_TERM_36_MONTHS,
COMMITMENT_TERM_60_MONTHS
customSshKeys
string[]
ipoibConfig
object
machinePriceHr
object

A representation of a decimal value, such as 2.5. Clients may convert values into language-native decimal formats, such as Java's BigDecimal or Python's decimal.Decimal.

networkType
enum<string>
default:NETWORK_TYPE_UNSPECIFIED
Available options:
NETWORK_TYPE_UNSPECIFIED,
ETHERNET,
INFINIBAND
sshKeySource
enum<string>
default:SSH_KEY_SOURCE_UNKNOWN
Available options:
SSH_KEY_SOURCE_UNKNOWN,
SSH_KEY_SOURCE_PROJECT,
SSH_KEY_SOURCE_USER,
SSH_KEY_SOURCE_NONE
startScript
string
state
enum<string>
default:STATE_UNSPECIFIED
Available options:
STATE_UNSPECIFIED,
CREATING,
ACTIVE,
UPDATING,
DELETING,
FAILED
totalMachinePriceHr
object

A representation of a decimal value, such as 2.5. Clients may convert values into language-native decimal formats, such as Java's BigDecimal or Python's decimal.Decimal.

totalPriceHr
object

A representation of a decimal value, such as 2.5. Clients may convert values into language-native decimal formats, such as Java's BigDecimal or Python's decimal.Decimal.

Response

A successful response.

dataCenterId
string
required
id
string
required
machineCount
integer<int32>
required
machineTypeId
string
required
projectId
string
required
architecture
string
read-only
commitmentEndTime
string<date-time>
read-only
commitmentTerm
enum<string>
default:COMMITMENT_TERM_NONE
Available options:
COMMITMENT_TERM_NONE,
COMMITMENT_TERM_1_MONTH,
COMMITMENT_TERM_3_MONTHS,
COMMITMENT_TERM_6_MONTHS,
COMMITMENT_TERM_12_MONTHS,
COMMITMENT_TERM_24_MONTHS,
COMMITMENT_TERM_36_MONTHS,
COMMITMENT_TERM_60_MONTHS
cpuModel
string
read-only
cpuSpeedMhz
integer<int32>
read-only
createBy
string
read-only
createTime
string<date-time>
read-only
customSshKeys
string[]
gpuModelId
string
read-only
ipoibConfig
object
machinePriceHr
object

A representation of a decimal value, such as 2.5. Clients may convert values into language-native decimal formats, such as Java's BigDecimal or Python's decimal.Decimal.

machines
object[]
read-only
networkType
enum<string>
default:NETWORK_TYPE_UNSPECIFIED
Available options:
NETWORK_TYPE_UNSPECIFIED,
ETHERNET,
INFINIBAND
sshKeySource
enum<string>
default:SSH_KEY_SOURCE_UNKNOWN
Available options:
SSH_KEY_SOURCE_UNKNOWN,
SSH_KEY_SOURCE_PROJECT,
SSH_KEY_SOURCE_USER,
SSH_KEY_SOURCE_NONE
startScript
string
state
enum<string>
default:STATE_UNSPECIFIED
Available options:
STATE_UNSPECIFIED,
CREATING,
ACTIVE,
UPDATING,
DELETING,
FAILED
totalCpuCores
integer<int32>
read-only
totalDiskSizeGib
integer<int32>
read-only
totalGpus
integer<int32>
read-only
totalMachinePriceHr
object

A representation of a decimal value, such as 2.5. Clients may convert values into language-native decimal formats, such as Java's BigDecimal or Python's decimal.Decimal.

totalMemoryGib
integer<int32>
read-only
totalPriceHr
object

A representation of a decimal value, such as 2.5. Clients may convert values into language-native decimal formats, such as Java's BigDecimal or Python's decimal.Decimal.